Index: say.c
===================================================================
RCS file: /usr/cvsroot/asterisk/say.c,v
retrieving revision 1.13
diff -u -r1.13 say.c
--- say.c	22 Oct 2003 03:06:47 -0000	1.13
+++ say.c	30 Nov 2003 15:11:10 -0000
@@ -378,8 +378,15 @@
 				}
 				if (!res) {
 					if (tm.tm_hour != 0) {
-						snprintf(nextmsg,sizeof(nextmsg), AST_SOUNDS "/digits/%d", tm.tm_hour);
-						res = wait_file(chan,ints,nextmsg,lang);
+						int remainder = tm.tm_hour;
+						if (tm.tm_hour > 20) {
+							res = wait_file(chan,ints,AST_SOUNDS "/digits/20",lang);
+							remainder -= 20;
+						}
+						if (!res) {
+							snprintf(nextmsg,sizeof(nextmsg), AST_SOUNDS "/digits/%d", remainder);
+							res = wait_file(chan,ints,nextmsg,lang);
+						}
 					}
 				}
 				break;
